using System;
using System.IO;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Usage
{
    public class Rule2213 : IDisposable
    {
        private MemoryStream stream = new MemoryStream();

        ~Rule2213()
        {
            Dispose(false);
        }

        public void Dispose()
        {
            Dispose(true);
            GC.SuppressFinalize(this);
        }

        // このメソッドは CA2213 に違反しています。
        protected virtual void Dispose(bool disposing)
        {
            if (disposing)
            {
            }
        }

        public override string ToString()
        {
            return this.stream.ToString();
        }
    }
}
